defmodule DecentralisedBookIndex.SyncWorkerManual do
  use Oban.Worker,
    queue: :default,
    max_attempts: 2,
    tags: ["sync", "manual"]

  require Logger

  alias DecentralisedBookIndex.SyncTasks.SyncServerTask

  @topic "task:events"

  @impl Oban.Worker
  def perform(%Oban.Job{args: args} = job) do
    Logger.info("The manual job (#{job.id}) run SyncServerTask at #{DateTime.utc_now()} with args: #{inspect(args)}.")

    result = SyncServerTask.sync_all()

    Phoenix.PubSub.broadcast!(
      DecentralisedBookIndex.PubSub,
      @topic,
      {:manual_sync_completed, result}
    )

    Logger.info("The manual job (#{job.id}) is done.")

    result
  end

  def topic, do: @topic
end
