defmodule DecentralisedBookIndex.SyncTasks.SyncDBIServerTaskTest do
  use DecentralisedBookIndex.DataCase

  alias DecentralisedBookIndex.SyncTasks.SyncDBIServerTask
  alias DecentralisedBookIndex.Metadata

  alias DecentralisedBookIndex.TestEndpoints
  @test_server_endpoint TestEndpoints.test_api_endpoint()

  setup do
    user = generate(user(role: :admin))
    %{user: user}
  end

  describe "sync DBIServer tasks" do
    test "sync server", %{user: user} do
      server = generate(dbi_server(url: @test_server_endpoint))

      {:ok, _dbi_server} = Metadata.create_dbi_server("Test", "http://localhost:4001", false, actor: user)
      {:ok, _dbi_server} = Metadata.create_dbi_server("Test2", "http://localhost:4001", false, actor: user)

      assert ^server = SyncDBIServerTask.sync(server)
    end
  end
end
